Subject: Re: bug#17609: 24.4.50; trunk r117096: disappearing cursor in X

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Sep 2020 13:59:30 +0200

Dmitry Antipov <[email-masked]> writes:

>> There's still an issue. Pop-up notifications (notifications.el)
>> triggered by emacs make the cursor disappear. The cursor remains hidden
>> until emacs gets focus again.
>
> I'm not familiar with this code and don't know how the notifications popup
> window is created. Anyway, please try this tiny patch.

[...]

> +#ifdef HAVE_X_WINDOWS
> +  /* Don't confuse user with invisible cursor.  */
> +  if (FRAME_X_P (f) && f->pointer_invisible)
> +    FRAME_DISPLAY_INFO (f)->toggle_visible_pointer (f, 0);
> +#endif
> +
>  #if defined USE_X_TOOLKIT || defined USE_GTK
>    if (FRAME_WINDOW_P (f))
>      return xw_popup_dialog (f, header, contents);

This patch wasn't discussed or applied, as far as I can tell.

This was six years ago, though -- is this still an issue?  I can't
recall seeing the cursor disappearing lately, at least.

Stefan had some comments about xfixes in xinerama.  The issue in the bug
tracker there got no response, though:

https://gitlab.freedesktop.org/xorg/driver/xf86-video-fbdev/-/issues/4

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no